Package org.apache.batchee.container.impl.jobinstance

## Class JobExecutionHelper

- java.lang.Object
- - org.apache.batchee.container.impl.jobinstance.JobExecutionHelper

-     public class JobExecutionHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.batch.runtime.JobInstance` | `getJobInstance​(JobStatusManagerService statusManagerService, long executionId)` |
    `static InternalJobExecution` | `getPersistedJobOperatorJobExecution​(PersistenceManagerService persistenceManagerService, long jobExecutionId)` |
    `static RuntimeFlowInSplitExecution` | `restartFlowInSplit​(ServicesManager servicesManager, long execId, JSLJob gennedJobModel)` |
    `static RuntimeJobExecution` | `restartJob​(ServicesManager servicesManager, long executionId, Properties restartJobParameters)` |
    `static RuntimeJobExecution` | `restartPartition​(ServicesManager servicesManager, long execId, JSLJob gennedJobModel, Properties partitionProps)` |
    `static RuntimeFlowInSplitExecution` | `startFlowInSplit​(ServicesManager servicesManager, JSLJob jobModel)` |
    `static RuntimeJobExecution` | `startJob​(ServicesManager servicesManager, String jobXML, Properties jobParameters)` |
    `static RuntimeJobExecution` | `startPartition​(ServicesManager servicesManager, JSLJob jobModel, Properties jobParameters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### startJob

          public static RuntimeJobExecution startJob​(ServicesManager servicesManager,
                                                     String jobXML,
                                                     Properties jobParameters)
                                              throws javax.batch.operations.JobStartException

      Throws:
        `javax.batch.operations.JobStartException`

    - #### startFlowInSplit

          public static RuntimeFlowInSplitExecution startFlowInSplit​(ServicesManager servicesManager,
                                                                     JSLJob jobModel)
                                                              throws javax.batch.operations.JobStartException

      Throws:
        `javax.batch.operations.JobStartException`

    - #### startPartition

          public static RuntimeJobExecution startPartition​(ServicesManager servicesManager,
                                                           JSLJob jobModel,
                                                           Properties jobParameters)
                                                    throws javax.batch.operations.JobStartException

      Throws:
        `javax.batch.operations.JobStartException`

    - #### restartPartition

          public static RuntimeJobExecution restartPartition​(ServicesManager servicesManager,
                                                             long execId,
                                                             JSLJob gennedJobModel,
                                                             Properties partitionProps)
                                                      throws javax.batch.operations.JobRestartException,
                                                             javax.batch.operations.JobExecutionAlreadyCompleteException,
                                                             javax.batch.operations.JobExecutionNotMostRecentException,
                                                             javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### restartFlowInSplit

          public static RuntimeFlowInSplitExecution restartFlowInSplit​(ServicesManager servicesManager,
                                                                       long execId,
                                                                       JSLJob gennedJobModel)
                                                                throws javax.batch.operations.JobRestartException,
                                                                       javax.batch.operations.JobExecutionAlreadyCompleteException,
                                                                       javax.batch.operations.JobExecutionNotMostRecentException,
                                                                       javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### restartJob

          public static RuntimeJobExecution restartJob​(ServicesManager servicesManager,
                                                       long executionId,
                                                       Properties restartJobParameters)
                                                throws javax.batch.operations.JobRestartException,
                                                       javax.batch.operations.JobExecutionAlreadyCompleteException,
                                                       javax.batch.operations.JobExecutionNotMostRecentException,
                                                       javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### getPersistedJobOperatorJobExecution

          public static InternalJobExecution getPersistedJobOperatorJobExecution​(PersistenceManagerService persistenceManagerService,
                                                                                 long jobExecutionId)
                                                                          throws javax.batch.operations.NoSuchJobExecutionException

      Throws:
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### getJobInstance

          public static javax.batch.runtime.JobInstance getJobInstance​(JobStatusManagerService statusManagerService,
                                                                       long executionId)